// error_handling.h - some useful error handling functions

#ifndef __error_handling_h__
#define __error_handling_h__

void exitOnFatalErrorOutOfMemory();
void exitOnFatalErrorIllegalArgument(char* func_name);
void exitOnFatalErrorIllegalState(char* func_name);

#endif // __error_handling_h__

